{ lib, namespace, ... }:
{
  specialisation.hyprland.inheritParentConfig = true;
  specialisation.hyprland.configuration = {
    home-manager.users.matt = import ./home/default.nix;
    ${namespace} = {
      desktop = {
        hyprland.enable = true;
        gnome.enable = lib.mkForce false;
      };
    };
    environment.etc."specialisation".text = "hyprland";
  };
}
